Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1171650 - Gerrit: configure clickable links to bugzilla
Summary: Gerrit: configure clickable links to bugzilla
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaushal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 10:13 UTC by Niels de Vos
Modified: 2016-05-12 04:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 04:21:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2014-12-08 10:13:39 UTC
Description of problem:

Each change that is posted in the glusterfs project on Gerrit should have a BUG attached. ./rfc.sh asks for a BZ# in case it is missing in the commit message. When reviewing changes, a check if the linked bug is suitable is needed.

It would be awesome if Gerrit can assist reviewers by making the 'BUG: 01234' a clickable link that points to Bugzilla. Gerrit seems to be able to support this by default, it only needs some configuration change/addition:
- http://review.gluster.org/Documentation/config-gerrit.html#_a_id_commentlink_a_section_commentlink

Thanks!

Comment 1 Xavi Hernandez 2014-12-09 08:29:23 UTC
I think it would also be interesting to convert Change-Id's to links. This is an easy way to see a patch and all its backports.

Comment 2 Niels de Vos 2014-12-09 14:54:33 UTC
Oh, and to Coverity CID values, like done in http://review.gluster.org/9257 .

Comment 3 Kaushal 2015-04-25 10:15:45 UTC
r.g.o now has clickable links to bugzilla.

I'll also add links to Coverity, if I can figure out a direct URI to the CID page.

About, Change-Id's though, they are supposed to be unique to each review. So if a patch were to be backported, it would have a different Change-Id to the original.

Comment 4 Niels de Vos 2015-04-26 08:09:32 UTC
(In reply to Kaushal from comment #3)
> r.g.o now has clickable links to bugzilla.

Great, thanks!

> I'll also add links to Coverity, if I can figure out a direct URI to the CID
> page.

This seems to work:

    https://scan6.coverity.com:8443/query/defects.htm?projectId=10714&cid=1288824


> About, Change-Id's though, they are supposed to be unique to each review. So
> if a patch were to be backported, it would have a different Change-Id to the
> original.

Backports often should have the same Change-Id. This makes it easy to identify backports and their original change. A Change-Id needs to be unique per branch, different branches (master, release-3.7, ...) can have the same Change-Id. Example:

    http://review.gluster.org/#/q/I62168a0ab4f0c78e61987371ae75a0d2dd56ced8

Comment 5 Kaushal 2015-04-27 03:14:52 UTC
(In reply to Niels de Vos from comment #4)
> This seems to work:
> 
>    
> https://scan6.coverity.com:8443/query/defects.htm?projectId=10714&cid=1288824
> 

It keeps redirecting me to my coverity user dashboard.

> 
> Backports often should have the same Change-Id. This makes it easy to
> identify backports and their original change. A Change-Id needs to be unique
> per branch, different branches (master, release-3.7, ...) can have the same
> Change-Id. Example:
> 
>     http://review.gluster.org/#/q/I62168a0ab4f0c78e61987371ae75a0d2dd56ced8

The gerrit documentation recommends having different change-ids for backports. Each backport is a unique commit, so it should have a unique change-id for gerrit to be able to track it. This was how I thought gerrit should have worked, but apparently you can have duplicate change-ids. Whenever I've backported changes I've always had the change-id regenerated. I believe this is how most of the developers did backports.

I'll add the commentlink setting anyway.

Comment 6 Kaushal 2015-04-27 03:27:28 UTC
(In reply to Kaushal from comment #5)
> 
> It keeps redirecting me to my coverity user dashboard.
> 

I had to visit the defects view once, to get the link to work without being redirected to my dashboard. I'll add this as well.

Comment 7 Kaushal 2015-04-27 05:31:09 UTC
Added linking for CIDs and Change-Ids.

Comment 8 Kaushal 2016-05-12 04:21:00 UTC
The linking has been enabled for sometime and is working well. Closing this now.


Note You need to log in before you can comment on or make changes to this bug.